Compatibility issues between dll's

2 posts, 0 answers
  1. Alberto
    Alberto avatar
    15 posts
    Member since:
    Jul 2010

    Posted 24 Mar 2011 Link to this post

    Hi,

    we have been using telerik controls throught different webparts during 6 or 7 months. At the beggining we were using the dll version 2010.2.713.35, but for some reasons some projects we had to use 2010.2.826.35 (the radgrid didn´t work properly on a toolpart).

    We have realized now that in some pcs with versions 2010.2.713.35 and  2010.2.826.35 installed. Controls like RadComboBox, stop working. Throwing exceptions like Telerik.Web.UI.RadComboBox is not compatible with control type Telerik.Web.UI.

    All the controls are used in Visual WebParts with the <%@ Register directive with the specified version some ones uses 713 others 826. 


    What shall we do? Is it possible to have different projects using different dlls on the same pc?

    Thanks

    Apologize for my English skills, i will be happy to answer any questions.
  2. Helen
    Admin
    Helen avatar
    1052 posts

    Posted 29 Mar 2011 Link to this post

    Hello Alberto,

    It is possible to use different versions on the same PC, but you should verify that the references are correct.

    You may also find helpful the following forum post:

    http://www.telerik.com/community/forums/aspnet-ajax/scriptmanager-and-stylesheetmanager/problem-with-radscriptmanager-after-upgrade.aspx

    Regards,
    Helen
    the Telerik team

Back to Top